Subject: Re: bug#24844: 26.0.50; electric-newline-and-maybe-indent

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Nov 2016 22:08:36 +0200

> Cc: [email-masked]
> From: Andreas Röhler <[email-masked]>
> Date: Tue, 1 Nov 2016 20:43:04 +0100
> 
> In haskell-mode at EOL:
> 
> factors :: Int -> [Int]
> 
> C-j calls
> 
> electric-newline-and-maybe-indent
> 
> and indents wrongly - there is nothing to indent.

So perhaps this is the problem to solve, not the documentation?

> BTW why electric-newline? Isn't the indent the electric action?

I agree that the name is confusing; I guess the "electric-" prefix is
to blame.

> In order to avoid the wrong indent, have to enable electric-indent-mode 
> - doesn't make sense for me.

So I think the bug is the wrong indent you needed to avoid.